%define name 	geany
%define cname	Geany
%define version	1.30.0

Summary:	Geany is a small C editor using GTK2
Summary(de):	Geany ist ein kleiner C-Editor in GTK2
Name: 		%{name}
Version: 	1.30.1
Release: 	%mkrel 1
License: 	GPL
Group: 		Development/C
URL: 		http://geany.uvena.de/
Source0: 	%{name}-%{version}.tar.xz
Source1:    geany-tags.tar.xz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  pkgconfig
BuildRequires:  gtk2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
BuildRequires:	glib2-devel
BuildRequires:	libpthread-stubs
BuildRequires:	intltool
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Geany is a small C editor using GTK2 with basic features of an 
integrated development environment. It features syntax highlighting,
code completion, call tips, many supported filetypes (including C,
Java, PHP, HTML, DocBook, Perl, LateX, and Bash), and symbol lists.

#german
%description -l de
Geany ist ein kleiner C-Editor, der GTK2 nutzt, mit grundlegenden Funktionen 
einer integrierten Entwicklungsumgebung. 

Es bietet Syntax-Highlighting, Code-Vervollständigung, stellt Tipps 
bereit, viele unterstützte Dateitypen (einschließlich C, Java, PHP, 
HTML, DocBook, Perl, LaTeX und Bash) und Symbollisten.


%package devel
Summary: Developement file for Geany
Summary(de): Entwicklerdateien für Geany
Group: Development/Other

%description devel
Development files for Geany.

#german
%description devel -l de
Die Entwicklerdateien für Geany.



%prep
%setup -q -a 1

%build

%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# research locale file
%find_lang %{name}

perl -pi -e 's/Encoding=UTF-8//' $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

desktop-file-install --vendor="" \
	--remove-category="Application" \
	--add-category="GNOME" \
	--add-category="GTK" \
	--add-category="X-MandrivaLinux-MoreApplications-Editors" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# prepare icons
mkdir -p %{buildroot}%{_miconsdir} %{buildroot}%{_iconsdir} %{buildroot}%{_liconsdir}
convert icons/48x48/%{name}.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{name}.png
convert icons/48x48/%{name}.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert icons/48x48/%{name}.png -geometry 48x48 %{buildroot}%{_liconsdir}/%{name}.png

rm -rf %{buildroot}/%{_datadir}/icons/hicolor/icon-theme.cache

# Install tags files
mkdir -p %{buildroot}%{_datadir}/%{name}/tags/
install -Dpm644 tags/* %{buildroot}%{_datadir}/%{name}/tags/

rm -f %{buildroot}/%{_libdir}/libgeany.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%{update_desktop_database}

%postun
/sbin/ldconfig
%{clean_desktop_database}


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_defaultdocdir}/%{name}
%{_mandir}/man1/%{name}.1.bz2
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_libdir}/geany/*
%_libdir/libgeany.so.0*
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/actions/geany*.png
%{_iconsdir}/hicolor/scalable/apps/geany.svg
%{_iconsdir}/hicolor/scalable/actions/geany*.svg
%{_iconsdir}/Tango/*x*/actions/geany*.png
%{_iconsdir}/Tango/icon-theme.cache
%{_iconsdir}/Tango/scalable/actions/geany*.svg

%files devel
%defattr(-,root,root,-)
%_includedir/geany/*.h
%_includedir/geany/scintilla/*.h
%_includedir/geany/scintilla/*.iface
%_includedir/geany/tagmanager/*.h
%_includedir/geany/gtkdoc/*.h
%_libdir/libgeany.so
%_libdir/pkgconfig/geany.pc

%changelog
* Fri Jul 07 2017 adrianomorselli> 1.30.1-1uplos2017
- update
